#! /usr/bin/env python
"""Count shown files; display the date of oldest file

This file is a part of XSetBg.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2006-2012 PhiloSoft Design"
__license__ = "GNU GPL"

import os, shelve
from time import localtime, asctime

xsetbg_dir = os.path.join(os.environ["HOME"], "lib", "xsetbg")
os.chdir(xsetbg_dir)

global_db_name = "xsetbg.db"

count = 0
oldest = None

global_db = shelve.open(global_db_name, flag='r')
for key in global_db.keys():
   count += 1
   if key.startswith('/') and ((oldest is None) or (global_db[key] < oldest)):
      oldest = global_db[key]
global_db.close()

print count, "files"
print "Oldest:", asctime(localtime(oldest))
