#! /usr/bin/env python
"""Reload a dump into DB

This file is a part of XSetBg.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2007-2012 PhiloSoft Design"
__license__ = "GNU GPL"

import sys, os, shelve

xsetbg_dir = os.path.join(os.environ["HOME"], "lib", "xsetbg")
os.chdir(xsetbg_dir)

global_db_name = "xsetbg.db"
dump_file = open(sys.argv[1], 'rU')

global_db = shelve.open(global_db_name, flag='n')
for line in dump_file:
   timestamp, filename = line.strip().split(None, 1)
   global_db[filename] = float(timestamp)
global_db.close()
dump_file.close()
